FROM ubuntu:resolute

# Installer les dépendances de base
RUN apt-get update && apt-get install -y \
    curl \
    wget \
    gnupg \
    ca-certificates \
    subversion \
    rsync \
    cron \
    && apt-get clean

# Ajouter le dépôt Node.js
RUN curl -fsSL https://deb.nodesource.com/setup_25.x | bash - \
    && apt-get install -y nodejs \
    && apt-get clean

# Vérifier les versions
RUN node -v && npm -v

# Répertoire de travail
WORKDIR /usr/src/app

# Copier l'application
COPY ./nodejs /usr/src/app

# Installer les dépendances
RUN npm install



CMD ["node", "main.js"]